import 'event-source-polyfill';

export const c = {
    AUDIT_ALL: 'AUDIT_ALL',
    AUDIT_FLOW: 'AUDIT_FLOW',
    AUDIT_ROLE: 'AUDIT_ROLE',
    AUDIT_RESOURCE: 'AUDIT_RESOURCE'
};

export function fetch(rmanager, type, fullId) {
    switch (type) {
    case c.AUDIT_ALL:
        return rmanager
            .callServer('GET', '/api/audit/all')
            .end();

        /*eslint-disable no-undef */
    case c.AUDIT_FLOW:
        return new EventSource('/api/audit/all');
        /*eslint-enable no-undef */

    case c.AUDIT_ROLE:
        return rmanager
            .callServer('GET', `/api/audit/roles/${fullId}`)
            .end();

    case c.AUDIT_RESOURCE:
        return rmanager
            .callServer('GET', `/api/audit/resources/${fullId}`)
            .end();

    default:
    }
}
