var React = require('react'),
    moment = require('moment');

export default React.createClass({
    displayName: 'AuditTimestamp',

    propTypes: {
        time: React.PropTypes.string
    },

    getDefaultProps() {
        return {
            time: '1970-01-01T00:00:00.000Z'
        };
    },

    render() {
        var ts = moment(this.props.time);

        return (
          <time className="timestamp"
                dateTime={ts.format()}
                title={ts.calendar()}>
            {ts.fromNow()}
          </time>
        );
    }
});
