import React, {Component} from 'react';
import {Link} from 'react-router';

import './notfound.less';

export class NotFound extends Component {
    render() {
        return (
          <div className="container-fluid b-notfound">
            <div className="row b-notfound--row">
              <div className="col-md-12">
                <div className="error-template">
                  <h1>
                    Oops!
                  </h1>
                  <h2>
                    404 Not Found
                  </h2>
                  <div className="error-details">
                    Sorry, an error has occured, Requested page not found!
                  </div>
                  <div className="b-notfound--error-actions">
                    <Link to="dashboard" className="btn btn-primary btn-lg">
                      <span className="glyphicon glyphicon-home"></span> Take me to the dashboard
                    </Link>
                  </div>
                </div>
              </div>
            </div>
          </div>
        );
    }
}

NotFound.displayName = 'NotFound';
