var React = require('react');

import {capitalize} from 'lodash';

import {pluralize} from '../../utils';

export default React.createClass({
    displayName: 'SearchGroupTitle',

    propTypes: {
        kind: React.PropTypes.string,
        items: React.PropTypes.array
    },

    getDefaultProps() {
        return {
            kind: '',
            items: []
        };
    },

    render() {
        return (
          <span>{this.title()}</span>
        );
    },

    title() {
        var words = this.props.kind.replace(/[-_]/, ' ').split(' ');

        words[words.length - 1] = pluralize(words[words.length - 1]);

        return (
            words.map(capitalize).join(' ') + ' (' + this.props.items.length + ')'
        );
    }
});
