var constants = {
    FLASH_MESSAGE: 'FLASH_MESSAGE',
    FLASH_MESSAGE_CLEAR: 'FLASH_MESSAGE_CLEAR',
    ROUTES: {
        TRANSITION: 'TRANSITION'
    }
};

function addExtraConsts(prefix) {
    constants[prefix] = {};

    constants[prefix].ASSET_TYPE = prefix.toLowerCase();
    constants[prefix].LOAD = prefix + '_LOAD';
    constants[prefix].LOAD_SUCCESS = prefix + '_LOAD_SUCCESS';
    constants[prefix].LOAD_FAIL = prefix + '_LOAD_FAIL';
}

[
    'AUDIT',
    'DASHBOARD',
    'SEARCH',
    'RESOURCES',
    'RESOURCE',
    'GRAPH',
// ---------------
    'USER',
    'GROUP',
    'HOST',
    'LAYER',
    'VARIABLE',
    'POLICY'
].forEach((prefix) => {
    addExtraConsts(prefix);
});

export default constants;
