const encode = window.encodeURIComponent;

export function fetch(rmanager, kind) {
    if (kind === 'custom-type') {
        return rmanager
            .callServer('GET', `/api/authz/\${account}/resources`)
            .end();
    } else {
        return rmanager
            .callServer('GET', `/api/authz/\${account}/resources/${encode(kind)}`)
            .end();
    }
}

export function fetchOne(rmanager, kind, id) {
    return rmanager
        .callServer('GET', `/api/authz/\${account}/resources/${encode(kind)}/${encode(id)}`)
        .end();
}

export function fetchGroupRoles(rmanager, id) {
    return rmanager
        .callServer('GET', `/api/authz/\${account}/roles/group/${id}?members`)
        .end();
}

export function fetchResources(rmanager, fullId) {
    return rmanager
        .callServer('GET', `/api/authz/\${account}/resources?acting_as=${fullId}`)
        .end();
}
