export const c = {
    MEMBERS_EXECUTE: 'MEMBERS_EXECUTE',
    MEMBERS_UPDATE: 'MEMBERS_UPDATE'
};

const encode = window.encodeURIComponent;

export function fetch(rmanager, assetType, type, id) {
    var privilege = '';

    if (type === c.MEMBERS_EXECUTE) {
        privilege = 'execute';
    } else if (type === c.MEMBERS_UPDATE) {
        privilege = 'update';
    }

    return rmanager
        .callServer('GET', `/api/authz/\${account}/roles/allowed_to/${privilege}/${assetType}/${encode(id)}`)
        .end();
}
