import React from 'react';
import {RouteHandler} from 'react-router';
import {FluxMixin} from 'fluxxor';

import Navbar from '../navbar/navbar';
import Flash from '../flash/flash';

export default React.createClass({
    displayName: 'App',

    mixins: [FluxMixin(React)],

    render() {
        return (
          <div className="container">
            <Navbar username={this.getFlux().actions.getRManager().username} />
            <Flash />
            <div id="modal"></div>
            <div id="content">
              <RouteHandler />
            </div>
            <div id="bottom" className="navbar-default">
              <a href="http://conjur.net" className="nav-item"
                 target="_blank">&copy; 2014, Conjur Inc.</a>
            </div>
          </div>
        );
    },

    componentDidMount() {
        var flux = this.getFlux();

        flux.actions.audit.loadAll(true);
        flux.actions.resources.load('custom-type');
    }
});
