import React, {Component} from 'react';

import './logout.less';

export class Logout extends Component {
    componentDidMount() {
        this.context.flux.actions.getRManager().logout();
    }

    render() {
        return (
          <div className="container-fluid b-logout">
            <div className="row b-logout--row">
              <div className="col-md-12">
                <div className="error-template">
                  <h1>
                    Goodbye!
                  </h1>
                  <h2>
                    See you next time
                  </h2>
                  <div className="error-details">
                    You have logged out from the Conjur. Feel free go to the login screen and signin again.
                  </div>
                  <div className="b-logout--actions">
                    <a href="/ui" className="btn btn-primary btn-lg">
                      <span className="glyphicon glyphicon-console"></span> Take me to the login screen again
                    </a>
                  </div>
                </div>
              </div>
            </div>
          </div>
        );
    }
}

Logout.displayName = 'AuthLogout';

Logout.contextTypes = {
    flux: React.PropTypes.object
};
