var React = require('react'),
    moment = require('moment');

// render a <time> tag. props.timestamp should be a timestamp
// that moment can parse, props.format should be one of the
// format strings accepted by moment (optional).
export default React.createClass({
    displayName: 'Time',

    render() {
        var timestamp = this.props.timestamp,
            tsFormat = this.props.tsFormat || '',
            format = this.props.format || 'lll',
            m = moment(timestamp, tsFormat),
            date;

        switch (this.props.relative) {
        case 'time from now':
            date = m.fromNow();
            break;
        case 'calendar time':
            date = m.calendar();
            break;
        default:
            date = m.format(format);
        }

        return (
          <time dateTime={m.format()}>{date}</time>
        );
    }
});
