var React = require('react');

var RoleLink = require('../generic/role_link'),
    Time = require('../generic/time'),
    Refresh = require('../refresh/refresh');

export default React.createClass({
    displayName: 'HostDetails',

    // TODO: control for 'enroll'
    render() {
        return (
          <div className="b-host-details">
            <h2>Details<Refresh show={this.props.isLoading} /></h2>
            <dl className="dl-horizontal">
              <dt>Owner</dt>
              <dd><RoleLink id={this.props.owner}/></dd>

              <dt>Created by</dt>
              <dd><RoleLink id={this.props.host.userid}/></dd>

              <dt>Created At</dt>
              <dd><Time timestamp={this.props.host.created_at}/></dd>
            </dl>
         </div>
        );
    }
});
