var React = require('react'),
    Router = require('react-router'),
    Fluxxor = require('fluxxor');

var FluxMixin = Fluxxor.FluxMixin(React);

export default React.createClass({
    displayName: 'NavSearchForm',

    mixins: [FluxMixin, Router.Navigation],

    render() {
        return (
          <form className="form-inline navbar-form"
                role="search"
                onSubmit={this.handleSubmit}>
            <div className="form-group">
              <input ref="input"
                     type="text"
                     className="form-control"
                     placeholder="Search Conjur"></input>
            </div>
            <button type="submit"
                    className="btn btn-default search-button">
              Search
            </button>
          </form>
        );
    },

    handleSubmit() {
        var search = this.refs.input.getDOMNode().value;

        if (search && search.length !== 0) {
            this.transitionTo('search', {query: window.encodeURIComponent(search)});
        }

        return false;
    }
});
