import {createStore} from 'fluxxor';
import constants from '../constants';

export default createStore({
    initialize() {
        this.params = {};

        this.bindActions(
            constants.ROUTES.TRANSITION, this.handleRouteTransition
        );
    },

    handleRouteTransition(payload) {
        this.params = payload.params;
        this.emit('change');
    },

    getParam(param) {
        return window.unescape(this.params[param]);
    }
});
